<?php

class Datos8_model extends CI_Model
{
    public function __construct()
    {
        parent::__construct();
        $this->load->database();
    }

//  I. DECLARACIÓN DE SITUACIÓN PATRIMONIAL INICIAL
//DATOS-8. 

    public function agregar8($datos)
    {
        $idformato = $datos['idformato'];
        $nivel = $datos['nivel'];
    
        $data = array(
            
            'I_remuneracion_mensual' => $datos['I_remuneracion_mensual'],
            'II_otros_ingresos' => $datos['II_otros_ingresos'],
            'II_1_actividad' => $datos['II_1_actividad'],
            'razon_social' => $datos['razon_social'],
            'tipo_negocio' => $datos['tipo_negocio'],
            'II_2_actividad_finenciera' => $datos['II_2_actividad_finenciera'],
            'tipo_instrumento' => $datos['tipo_instrumento'],
            'tipo_instrumento_esp' => $datos['tipo_instrumento_esp'],
            'II_3_servicios' => $datos['II_3_servicios'],
            'tipo_servicio' => $datos['tipo_servicio'],
            'II_no_considerados' => $datos['II_no_considerados'],
            'II_4_enajenacion' => $datos['II_4_enajenacion'],
            'tipo_enajenado' => $datos['tipo_enajenado'],
            'tipo_ingreso' => $datos['tipo_ingreso'],
            'ingreso_declarante' => $datos['ingreso_declarante'],
            'ingreso_pareja_dependiente' => $datos['ingreso_pareja_dependiente'],
            'total_ingresos' => $datos['total_ingresos'],     
            'aclaraciones' => $datos['aclaraciones'],

            'progreso' => 5,
        );

  
        if ($idformato > 0) {

            //---Nivel 6
            if ($nivel == 6) {
                $dataNivel6 = array(
                    'ninguno' => 1,
                    'progreso' => 5,
                );
                $dataNivel6_2 = array(
                    'ninguno' => 1,
                    'progreso' => 4,
                );
                $dataNivel6_3 = array(
                    'ninguno' => 1,
                    'progreso' => 1,
                );


                $this->db->where('idformato', $idformato);
                $this->db->update('6_datos_pareja', $dataNivel6);
                $this->db->where('idformato', $idformato);
                $this->db->update('7_datos_dependiente', $dataNivel6);
                $this->db->where('idformato', $idformato);
                $this->db->update('9_bienes_inmuebles', $dataNivel6);
                $this->db->where('idformato', $idformato);
                $this->db->update('10_vehiculos', $dataNivel6);
                $this->db->where('idformato', $idformato);
                $this->db->update('11_bienes_muebles', $dataNivel6);
                $this->db->where('idformato', $idformato);
                $this->db->update('12_inversiones', $dataNivel6);
                $this->db->where('idformato', $idformato);
                $this->db->update('13_adeudos', $dataNivel6);
                $this->db->where('idformato', $idformato);
                $this->db->update('14_prestamos', $dataNivel6);
                $this->db->where('idformato', $idformato);
                $this->db->update('1_ii_participacion_empresas', $dataNivel6);
                $this->db->where('idformato', $idformato);
                $this->db->update('2_ii_toma_decisiones', $dataNivel6);
                $this->db->where('idformato', $idformato);
                $this->db->update('3_ii_apoyos', $dataNivel6);
                $this->db->where('idformato', $idformato);
                $this->db->update('4_ii_representacion', $dataNivel6);
                $this->db->where('idformato', $idformato);
                $this->db->update('5_ii_clientes', $dataNivel6);
                $this->db->where('idformato', $idformato);
                $this->db->update('6_ii_beneficios', $dataNivel6_2);
                $this->db->where('idformato', $idformato);
                $this->db->update('7_ii_fideicomisos', $dataNivel6_3);
                $this->db->where('idformato', $idformato);

            }
            //Nivel



            $this->db->where('idformato', $idformato);
            $this->db->update('8_ingresos_netos', $data);
            $id = $idformato;
        } else {
            $this->db->insert('8_ingresos_netos', $data);
            $id = $this->db->insert_id();
        }

        if ($this->db->trans_status() === false) {
            $this->db->trans_rollback();
            $respuesta = array(
                'mensaje' => 'Error en inserción.',
                'error' => $this->db->error(),
                'status' => 409,
            );
        } else {
            $this->db->trans_commit();
            $respuesta = array(
                'mensaje' => 'Inserción correcta',
                $this->db->last_query(),
                'status' => 200,
            );
        }
        return $respuesta;
    }


    public function obtener8()
    {
        $idformato = $this->uri->segment(3);
        $where =  array('idformato' => $idformato);
        $query = $this->db->select("*")->get_where('8_ingresos_netos', $where);

        if ($query && $query->num_rows() >= 1) {
            $data = $query->row();
            //VAR---'registro' => $data, -- no cambiar
            $respuesta = array(
                'mensaje' => 'Registros cargado correctamente',
                'registro' => $data,
                'status' => 200,
            );
        } else {
            $respuesta = array(
                'mensaje' => 'Error al cargar registros',
                 $this->db->last_query(),
                'status' => 400,
            );
        }
        return $respuesta;
    }


//  II.- DECLARACIÓN DE INTERESES
//DATOS-8

  
}
